#!/bin/bash

# Check if /volumeUSB1 is mounted
if grep -qs "/volumeUSB1" /proc/mounts; then
  echo "/volumeUSB1 is mounted. Starting backup..."

  # Ensure the backup script exists
  if [ -x "/volume2/homes/admin/marceload_backup/rsync_tmbackup.sh" ]; then
    # Run the backup script
    /volume2/homes/admin/marceload_backup/rsync_tmbackup.sh /volume2/homes/admin/marceload_backup/test-folder /volume2/homes/admin/marceload_backup/backup-folder
    echo "Backup completed successfully."
  else
    echo "Error: Backup script not found or not executable: /volume2/homes/backup/rsync_tmbackup.sh"
    exit 1
  fi
else
  echo "/volumeUSB1 is not mounted. Skipping backup."
  exit 1
fi
